yongsung 3 éve
commit
6665366766

+ 33 - 0
ImageConnect/.gitignore

@@ -0,0 +1,33 @@
+HELP.md
+target/
+!.mvn/wrapper/maven-wrapper.jar
+!**/src/main/**/target/
+!**/src/test/**/target/
+
+### STS ###
+.apt_generated
+.classpath
+.factorypath
+.project
+.settings
+.springBeans
+.sts4-cache
+
+### IntelliJ IDEA ###
+.idea
+*.iws
+*.iml
+*.ipr
+
+### NetBeans ###
+/nbproject/private/
+/nbbuild/
+/dist/
+/nbdist/
+/.nb-gradle/
+build/
+!**/src/main/**/build/
+!**/src/test/**/build/
+
+### VS Code ###
+.vscode/

+ 117 - 0
ImageConnect/.mvn/wrapper/MavenWrapperDownloader.java

@@ -0,0 +1,117 @@
+/*
+ * Copyright 2007-present the original author or authors.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *      https://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+import java.net.*;
+import java.io.*;
+import java.nio.channels.*;
+import java.util.Properties;
+
+public class MavenWrapperDownloader {
+
+    private static final String WRAPPER_VERSION = "0.5.6";
+    /**
+     * Default URL to download the maven-wrapper.jar from, if no 'downloadUrl' is provided.
+     */
+    private static final String DEFAULT_DOWNLOAD_URL = "https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/"
+        + WRAPPER_VERSION + "/maven-wrapper-" + WRAPPER_VERSION + ".jar";
+
+    /**
+     * Path to the maven-wrapper.properties file, which might contain a downloadUrl property to
+     * use instead of the default one.
+     */
+    private static final String MAVEN_WRAPPER_PROPERTIES_PATH =
+            ".mvn/wrapper/maven-wrapper.properties";
+
+    /**
+     * Path where the maven-wrapper.jar will be saved to.
+     */
+    private static final String MAVEN_WRAPPER_JAR_PATH =
+            ".mvn/wrapper/maven-wrapper.jar";
+
+    /**
+     * Name of the property which should be used to override the default download url for the wrapper.
+     */
+    private static final String PROPERTY_NAME_WRAPPER_URL = "wrapperUrl";
+
+    public static void main(String args[]) {
+        System.out.println("- Downloader started");
+        File baseDirectory = new File(args[0]);
+        System.out.println("- Using base directory: " + baseDirectory.getAbsolutePath());
+
+        // If the maven-wrapper.properties exists, read it and check if it contains a custom
+        // wrapperUrl parameter.
+        File mavenWrapperPropertyFile = new File(baseDirectory, MAVEN_WRAPPER_PROPERTIES_PATH);
+        String url = DEFAULT_DOWNLOAD_URL;
+        if(mavenWrapperPropertyFile.exists()) {
+            FileInputStream mavenWrapperPropertyFileInputStream = null;
+            try {
+                mavenWrapperPropertyFileInputStream = new FileInputStream(mavenWrapperPropertyFile);
+                Properties mavenWrapperProperties = new Properties();
+                mavenWrapperProperties.load(mavenWrapperPropertyFileInputStream);
+                url = mavenWrapperProperties.getProperty(PROPERTY_NAME_WRAPPER_URL, url);
+            } catch (IOException e) {
+                System.out.println("- ERROR loading '" + MAVEN_WRAPPER_PROPERTIES_PATH + "'");
+            } finally {
+                try {
+                    if(mavenWrapperPropertyFileInputStream != null) {
+                        mavenWrapperPropertyFileInputStream.close();
+                    }
+                } catch (IOException e) {
+                    // Ignore ...
+                }
+            }
+        }
+        System.out.println("- Downloading from: " + url);
+
+        File outputFile = new File(baseDirectory.getAbsolutePath(), MAVEN_WRAPPER_JAR_PATH);
+        if(!outputFile.getParentFile().exists()) {
+            if(!outputFile.getParentFile().mkdirs()) {
+                System.out.println(
+                        "- ERROR creating output directory '" + outputFile.getParentFile().getAbsolutePath() + "'");
+            }
+        }
+        System.out.println("- Downloading to: " + outputFile.getAbsolutePath());
+        try {
+            downloadFileFromURL(url, outputFile);
+            System.out.println("Done");
+            System.exit(0);
+        } catch (Throwable e) {
+            System.out.println("- Error downloading");
+            e.printStackTrace();
+            System.exit(1);
+        }
+    }
+
+    private static void downloadFileFromURL(String urlString, File destination) throws Exception {
+        if (System.getenv("MVNW_USERNAME") != null && System.getenv("MVNW_PASSWORD") != null) {
+            String username = System.getenv("MVNW_USERNAME");
+            char[] password = System.getenv("MVNW_PASSWORD").toCharArray();
+            Authenticator.setDefault(new Authenticator() {
+                @Override
+                protected PasswordAuthentication getPasswordAuthentication() {
+                    return new PasswordAuthentication(username, password);
+                }
+            });
+        }
+        URL website = new URL(urlString);
+        ReadableByteChannel rbc;
+        rbc = Channels.newChannel(website.openStream());
+        FileOutputStream fos = new FileOutputStream(destination);
+        fos.getChannel().transferFrom(rbc, 0, Long.MAX_VALUE);
+        fos.close();
+        rbc.close();
+    }
+
+}

BIN
ImageConnect/.mvn/wrapper/maven-wrapper.jar


+ 2 - 0
ImageConnect/.mvn/wrapper/maven-wrapper.properties

@@ -0,0 +1,2 @@
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.1/apache-maven-3.8.1-bin.zip
+wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar

+ 18 - 0
ImageConnect/log/Image_2021-08-05.log

@@ -0,0 +1,18 @@
+2021-08-05 14:52:05 [main] WARN  o.s.b.t.j.DuplicateJsonObjectContextCustomizerFactory$DuplicateJsonObjectContextCustomizer - 
+
+Found multiple occurrences of org.json.JSONObject on the class path:
+
+	jar:file:/C:/Users/User/.m2/repository/org/json/json/20090211/json-20090211.jar!/org/json/JSONObject.class
+	jar:file:/C:/Users/User/.m2/repository/com/vaadin/external/google/android-json/0.0.20131108.vaadin1/android-json-0.0.20131108.vaadin1.jar!/org/json/JSONObject.class
+
+You may wish to exclude one of them to ensure predictable runtime behavior
+
+2021-08-05 14:52:05 [main] INFO  c.i.i.ImageConnectApplicationTests - Starting ImageConnectApplicationTests using Java 1.8.0_181-1-ojdkbuild on DESKTOP-TKH0VIL with PID 26392 (started by User in D:\Daewoo\ImageConnect)
+2021-08-05 14:52:05 [main] DEBUG c.i.i.ImageConnectApplicationTests - Running with Spring Boot v2.5.3, Spring v5.3.9
+2021-08-05 14:52:05 [main] INFO  c.i.i.ImageConnectApplicationTests - No active profile set, falling back to default profiles: default
+2021-08-05 14:52:07 [main] INFO  o.s.b.a.s.s.UserDetailsServiceAutoConfiguration - 
+
+Using generated security password: 1a459f2c-ed74-4eb5-b75d-bd8f7a40fefb
+
+2021-08-05 14:52:08 [main] INFO  o.s.s.w.DefaultSecurityFilterChain - Will secure any request with [org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter@41b1f51e, org.springframework.security.web.context.SecurityContextPersistenceFilter@19650aa6, org.springframework.security.web.header.HeaderWriterFilter@14229fa7, org.springframework.security.web.csrf.CsrfFilter@75361cf6, org.springframework.security.web.authentication.logout.LogoutFilter@7c1e32c9, org.springframework.security.web.savedrequest.RequestCacheAwareFilter@2d82408, org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter@1daf3b44, org.springframework.security.web.authentication.AnonymousAuthenticationFilter@3a543f31, org.springframework.security.web.session.SessionManagementFilter@75fa1be3, org.springframework.security.web.access.ExceptionTranslationFilter@2b22a1cc]
+2021-08-05 14:52:08 [main] INFO  c.i.i.ImageConnectApplicationTests - Started ImageConnectApplicationTests in 2.971 seconds (JVM running for 4.232)

+ 36 - 0
ImageConnect/log/Image_2021-08-19.log

@@ -0,0 +1,36 @@
+2021-08-19 17:07:10 [main] WARN  o.s.b.t.j.DuplicateJsonObjectContextCustomizerFactory$DuplicateJsonObjectContextCustomizer - 
+
+Found multiple occurrences of org.json.JSONObject on the class path:
+
+	jar:file:/C:/Users/User/.m2/repository/org/json/json/20090211/json-20090211.jar!/org/json/JSONObject.class
+	jar:file:/C:/Users/User/.m2/repository/com/vaadin/external/google/android-json/0.0.20131108.vaadin1/android-json-0.0.20131108.vaadin1.jar!/org/json/JSONObject.class
+
+You may wish to exclude one of them to ensure predictable runtime behavior
+
+2021-08-19 17:07:11 [main] INFO  c.i.i.ImageConnectApplicationTests - Starting ImageConnectApplicationTests using Java 1.8.0_181-1-ojdkbuild on DESKTOP-TKH0VIL with PID 30864 (started by User in D:\Daewoo\ImageConnect)
+2021-08-19 17:07:11 [main] DEBUG c.i.i.ImageConnectApplicationTests - Running with Spring Boot v2.5.3, Spring v5.3.9
+2021-08-19 17:07:11 [main] INFO  c.i.i.ImageConnectApplicationTests - No active profile set, falling back to default profiles: default
+2021-08-19 17:07:16 [main] INFO  o.s.b.a.s.s.UserDetailsServiceAutoConfiguration - 
+
+Using generated security password: 312bc115-0404-4c37-88d2-3281a801ac2f
+
+2021-08-19 17:07:17 [main] INFO  o.s.s.w.DefaultSecurityFilterChain - Will secure any request with [org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter@f679798, org.springframework.security.web.context.SecurityContextPersistenceFilter@1b9776f5, org.springframework.security.web.header.HeaderWriterFilter@a518813, org.springframework.security.web.csrf.CsrfFilter@150ede8b, org.springframework.security.web.authentication.logout.LogoutFilter@19650aa6, org.springframework.security.web.savedrequest.RequestCacheAwareFilter@79d9214d, org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter@a18649a, org.springframework.security.web.authentication.AnonymousAuthenticationFilter@1a6cf771, org.springframework.security.web.session.SessionManagementFilter@4fc142ec, org.springframework.security.web.access.ExceptionTranslationFilter@1290c49]
+2021-08-19 17:07:17 [main] INFO  c.i.i.ImageConnectApplicationTests - Started ImageConnectApplicationTests in 7.761 seconds (JVM running for 11.186)
+2021-08-19 17:27:46 [main] WARN  o.s.b.t.j.DuplicateJsonObjectContextCustomizerFactory$DuplicateJsonObjectContextCustomizer - 
+
+Found multiple occurrences of org.json.JSONObject on the class path:
+
+	jar:file:/C:/Users/User/.m2/repository/org/json/json/20090211/json-20090211.jar!/org/json/JSONObject.class
+	jar:file:/C:/Users/User/.m2/repository/com/vaadin/external/google/android-json/0.0.20131108.vaadin1/android-json-0.0.20131108.vaadin1.jar!/org/json/JSONObject.class
+
+You may wish to exclude one of them to ensure predictable runtime behavior
+
+2021-08-19 17:27:46 [main] INFO  c.i.i.ImageConnectApplicationTests - Starting ImageConnectApplicationTests using Java 1.8.0_181-1-ojdkbuild on DESKTOP-TKH0VIL with PID 34620 (started by User in D:\Daewoo\ImageConnect)
+2021-08-19 17:27:46 [main] DEBUG c.i.i.ImageConnectApplicationTests - Running with Spring Boot v2.5.3, Spring v5.3.9
+2021-08-19 17:27:46 [main] INFO  c.i.i.ImageConnectApplicationTests - No active profile set, falling back to default profiles: default
+2021-08-19 17:27:52 [main] INFO  o.s.b.a.s.s.UserDetailsServiceAutoConfiguration - 
+
+Using generated security password: 28bcf309-7cf7-4e6a-9e7a-58d1f44e5a2c
+
+2021-08-19 17:27:53 [main] INFO  o.s.s.w.DefaultSecurityFilterChain - Will secure any request with [org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter@6631cb64, org.springframework.security.web.context.SecurityContextPersistenceFilter@2418ba04, org.springframework.security.web.header.HeaderWriterFilter@3d5790ea, org.springframework.security.web.csrf.CsrfFilter@21f459fc, org.springframework.security.web.authentication.logout.LogoutFilter@55a88417, org.springframework.security.web.savedrequest.RequestCacheAwareFilter@2ab0702e, org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter@75fa1be3, org.springframework.security.web.authentication.AnonymousAuthenticationFilter@19962194, org.springframework.security.web.session.SessionManagementFilter@396639b, org.springframework.security.web.access.ExceptionTranslationFilter@1b9776f5]
+2021-08-19 17:27:53 [main] INFO  c.i.i.ImageConnectApplicationTests - Started ImageConnectApplicationTests in 8.155 seconds (JVM running for 11.253)

+ 54 - 0
ImageConnect/log/Image_2021-08-20.log

@@ -0,0 +1,54 @@
+2021-08-20 07:56:46 [main] WARN  o.s.b.t.j.DuplicateJsonObjectContextCustomizerFactory$DuplicateJsonObjectContextCustomizer - 
+
+Found multiple occurrences of org.json.JSONObject on the class path:
+
+	jar:file:/C:/Users/User/.m2/repository/org/json/json/20090211/json-20090211.jar!/org/json/JSONObject.class
+	jar:file:/C:/Users/User/.m2/repository/com/vaadin/external/google/android-json/0.0.20131108.vaadin1/android-json-0.0.20131108.vaadin1.jar!/org/json/JSONObject.class
+
+You may wish to exclude one of them to ensure predictable runtime behavior
+
+2021-08-20 07:56:46 [main] INFO  c.i.i.ImageConnectApplicationTests - Starting ImageConnectApplicationTests using Java 1.8.0_181-1-ojdkbuild on DESKTOP-TKH0VIL with PID 31448 (started by User in D:\Daewoo\ImageConnect)
+2021-08-20 07:56:46 [main] DEBUG c.i.i.ImageConnectApplicationTests - Running with Spring Boot v2.5.3, Spring v5.3.9
+2021-08-20 07:56:46 [main] INFO  c.i.i.ImageConnectApplicationTests - No active profile set, falling back to default profiles: default
+2021-08-20 07:56:50 [main] INFO  o.s.b.a.s.s.UserDetailsServiceAutoConfiguration - 
+
+Using generated security password: 9511dc9b-db1f-45b5-bf29-4a5e8a71bfd0
+
+2021-08-20 07:56:50 [main] INFO  o.s.s.w.DefaultSecurityFilterChain - Will secure any request with [org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter@7c1e32c9, org.springframework.security.web.context.SecurityContextPersistenceFilter@12d1f1d4, org.springframework.security.web.header.HeaderWriterFilter@396639b, org.springframework.security.web.csrf.CsrfFilter@6a9b9909, org.springframework.security.web.authentication.logout.LogoutFilter@140d1230, org.springframework.security.web.savedrequest.RequestCacheAwareFilter@7a389761, org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter@1a6cf771, org.springframework.security.web.authentication.AnonymousAuthenticationFilter@383864d5, org.springframework.security.web.session.SessionManagementFilter@102efc59, org.springframework.security.web.access.ExceptionTranslationFilter@702b06fb]
+2021-08-20 07:56:50 [main] INFO  c.i.i.ImageConnectApplicationTests - Started ImageConnectApplicationTests in 4.644 seconds (JVM running for 8.039)
+2021-08-20 08:02:09 [main] WARN  o.s.b.t.j.DuplicateJsonObjectContextCustomizerFactory$DuplicateJsonObjectContextCustomizer - 
+
+Found multiple occurrences of org.json.JSONObject on the class path:
+
+	jar:file:/C:/Users/User/.m2/repository/org/json/json/20090211/json-20090211.jar!/org/json/JSONObject.class
+	jar:file:/C:/Users/User/.m2/repository/com/vaadin/external/google/android-json/0.0.20131108.vaadin1/android-json-0.0.20131108.vaadin1.jar!/org/json/JSONObject.class
+
+You may wish to exclude one of them to ensure predictable runtime behavior
+
+2021-08-20 08:02:09 [main] INFO  c.i.i.ImageConnectApplicationTests - Starting ImageConnectApplicationTests using Java 1.8.0_181-1-ojdkbuild on DESKTOP-TKH0VIL with PID 27944 (started by User in D:\Daewoo\ImageConnect)
+2021-08-20 08:02:09 [main] DEBUG c.i.i.ImageConnectApplicationTests - Running with Spring Boot v2.5.3, Spring v5.3.9
+2021-08-20 08:02:09 [main] INFO  c.i.i.ImageConnectApplicationTests - No active profile set, falling back to default profiles: default
+2021-08-20 08:02:11 [main] INFO  o.s.b.a.s.s.UserDetailsServiceAutoConfiguration - 
+
+Using generated security password: b35ed1d7-df93-4cc1-8c04-c0a751c9e896
+
+2021-08-20 08:02:12 [main] INFO  o.s.s.w.DefaultSecurityFilterChain - Will secure any request with [org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter@3cbf1ba4, org.springframework.security.web.context.SecurityContextPersistenceFilter@102efc59, org.springframework.security.web.header.HeaderWriterFilter@702b06fb, org.springframework.security.web.csrf.CsrfFilter@fb6097b, org.springframework.security.web.authentication.logout.LogoutFilter@19962194, org.springframework.security.web.savedrequest.RequestCacheAwareFilter@e8e0dec, org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter@2d82408, org.springframework.security.web.authentication.AnonymousAuthenticationFilter@10bea4, org.springframework.security.web.session.SessionManagementFilter@2ab0702e, org.springframework.security.web.access.ExceptionTranslationFilter@67a3bd51]
+2021-08-20 08:02:12 [main] INFO  c.i.i.ImageConnectApplicationTests - Started ImageConnectApplicationTests in 3.618 seconds (JVM running for 5.131)
+2021-08-20 08:52:20 [main] WARN  o.s.b.t.j.DuplicateJsonObjectContextCustomizerFactory$DuplicateJsonObjectContextCustomizer - 
+
+Found multiple occurrences of org.json.JSONObject on the class path:
+
+	jar:file:/C:/Users/User/.m2/repository/org/json/json/20090211/json-20090211.jar!/org/json/JSONObject.class
+	jar:file:/C:/Users/User/.m2/repository/com/vaadin/external/google/android-json/0.0.20131108.vaadin1/android-json-0.0.20131108.vaadin1.jar!/org/json/JSONObject.class
+
+You may wish to exclude one of them to ensure predictable runtime behavior
+
+2021-08-20 08:52:20 [main] INFO  c.i.i.ImageConnectApplicationTests - Starting ImageConnectApplicationTests using Java 1.8.0_181-1-ojdkbuild on DESKTOP-TKH0VIL with PID 31252 (started by User in D:\Daewoo\ImageConnect)
+2021-08-20 08:52:20 [main] DEBUG c.i.i.ImageConnectApplicationTests - Running with Spring Boot v2.5.3, Spring v5.3.9
+2021-08-20 08:52:20 [main] INFO  c.i.i.ImageConnectApplicationTests - No active profile set, falling back to default profiles: default
+2021-08-20 08:52:23 [main] INFO  o.s.b.a.s.s.UserDetailsServiceAutoConfiguration - 
+
+Using generated security password: f6353996-2067-4688-a724-292ede2cb59b
+
+2021-08-20 08:52:23 [main] INFO  o.s.s.w.DefaultSecurityFilterChain - Will secure any request with [org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter@7c1e32c9, org.springframework.security.web.context.SecurityContextPersistenceFilter@12d1f1d4, org.springframework.security.web.header.HeaderWriterFilter@396639b, org.springframework.security.web.csrf.CsrfFilter@6a9b9909, org.springframework.security.web.authentication.logout.LogoutFilter@140d1230, org.springframework.security.web.savedrequest.RequestCacheAwareFilter@7a389761, org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter@1a6cf771, org.springframework.security.web.authentication.AnonymousAuthenticationFilter@383864d5, org.springframework.security.web.session.SessionManagementFilter@102efc59, org.springframework.security.web.access.ExceptionTranslationFilter@702b06fb]
+2021-08-20 08:52:23 [main] INFO  c.i.i.ImageConnectApplicationTests - Started ImageConnectApplicationTests in 4.181 seconds (JVM running for 5.786)

+ 18 - 0
ImageConnect/log/LogImage_2021-08-04.log

@@ -0,0 +1,18 @@
+2021-08-04 16:55:30 [main] WARN  o.s.b.t.j.DuplicateJsonObjectContextCustomizerFactory$DuplicateJsonObjectContextCustomizer - 
+
+Found multiple occurrences of org.json.JSONObject on the class path:
+
+	jar:file:/C:/Users/User/.m2/repository/org/json/json/20090211/json-20090211.jar!/org/json/JSONObject.class
+	jar:file:/C:/Users/User/.m2/repository/com/vaadin/external/google/android-json/0.0.20131108.vaadin1/android-json-0.0.20131108.vaadin1.jar!/org/json/JSONObject.class
+
+You may wish to exclude one of them to ensure predictable runtime behavior
+
+2021-08-04 16:55:30 [main] INFO  c.i.i.ImageConnectApplicationTests - Starting ImageConnectApplicationTests using Java 1.8.0_181-1-ojdkbuild on DESKTOP-TKH0VIL with PID 31616 (started by User in D:\Daewoo\ImageConnect)
+2021-08-04 16:55:30 [main] DEBUG c.i.i.ImageConnectApplicationTests - Running with Spring Boot v2.5.3, Spring v5.3.9
+2021-08-04 16:55:30 [main] INFO  c.i.i.ImageConnectApplicationTests - No active profile set, falling back to default profiles: default
+2021-08-04 16:55:33 [main] INFO  o.s.b.a.s.s.UserDetailsServiceAutoConfiguration - 
+
+Using generated security password: 232dfb21-34b4-4eeb-af84-ce134e1dfee3
+
+2021-08-04 16:55:33 [main] INFO  o.s.s.w.DefaultSecurityFilterChain - Will secure any request with [org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter@7c1e32c9, org.springframework.security.web.context.SecurityContextPersistenceFilter@12d1f1d4, org.springframework.security.web.header.HeaderWriterFilter@396639b, org.springframework.security.web.csrf.CsrfFilter@6a9b9909, org.springframework.security.web.authentication.logout.LogoutFilter@140d1230, org.springframework.security.web.savedrequest.RequestCacheAwareFilter@7a389761, org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter@1a6cf771, org.springframework.security.web.authentication.AnonymousAuthenticationFilter@383864d5, org.springframework.security.web.session.SessionManagementFilter@102efc59, org.springframework.security.web.access.ExceptionTranslationFilter@702b06fb]
+2021-08-04 16:55:33 [main] INFO  c.i.i.ImageConnectApplicationTests - Started ImageConnectApplicationTests in 3.993 seconds (JVM running for 5.632)

+ 18 - 0
ImageConnect/log/LogImage_2021-08-05.log

@@ -0,0 +1,18 @@
+2021-08-05 14:48:17 [main] WARN  o.s.b.t.j.DuplicateJsonObjectContextCustomizerFactory$DuplicateJsonObjectContextCustomizer - 
+
+Found multiple occurrences of org.json.JSONObject on the class path:
+
+	jar:file:/C:/Users/User/.m2/repository/org/json/json/20090211/json-20090211.jar!/org/json/JSONObject.class
+	jar:file:/C:/Users/User/.m2/repository/com/vaadin/external/google/android-json/0.0.20131108.vaadin1/android-json-0.0.20131108.vaadin1.jar!/org/json/JSONObject.class
+
+You may wish to exclude one of them to ensure predictable runtime behavior
+
+2021-08-05 14:48:17 [main] INFO  c.i.i.ImageConnectApplicationTests - Starting ImageConnectApplicationTests using Java 1.8.0_181-1-ojdkbuild on DESKTOP-TKH0VIL with PID 14656 (started by User in D:\Daewoo\ImageConnect)
+2021-08-05 14:48:17 [main] DEBUG c.i.i.ImageConnectApplicationTests - Running with Spring Boot v2.5.3, Spring v5.3.9
+2021-08-05 14:48:17 [main] INFO  c.i.i.ImageConnectApplicationTests - No active profile set, falling back to default profiles: default
+2021-08-05 14:48:19 [main] INFO  o.s.b.a.s.s.UserDetailsServiceAutoConfiguration - 
+
+Using generated security password: e5346351-3ea2-42eb-a981-d3bd771705d6
+
+2021-08-05 14:48:19 [main] INFO  o.s.s.w.DefaultSecurityFilterChain - Will secure any request with [org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter@481e91b6, org.springframework.security.web.context.SecurityContextPersistenceFilter@2ab0702e, org.springframework.security.web.header.HeaderWriterFilter@67a3bd51, org.springframework.security.web.csrf.CsrfFilter@1416cf9f, org.springframework.security.web.authentication.logout.LogoutFilter@8a2a6a, org.springframework.security.web.savedrequest.RequestCacheAwareFilter@10f19647, org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter@42714a7, org.springframework.security.web.authentication.AnonymousAuthenticationFilter@7c8f9c2e, org.springframework.security.web.session.SessionManagementFilter@62573c86, org.springframework.security.web.access.ExceptionTranslationFilter@79d9214d]
+2021-08-05 14:48:19 [main] INFO  c.i.i.ImageConnectApplicationTests - Started ImageConnectApplicationTests in 3.112 seconds (JVM running for 4.422)

+ 310 - 0
ImageConnect/mvnw

@@ -0,0 +1,310 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+  if [ -f /etc/mavenrc ] ; then
+    . /etc/mavenrc
+  fi
+
+  if [ -f "$HOME/.mavenrc" ] ; then
+    . "$HOME/.mavenrc"
+  fi
+
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  MINGW*) mingw=true;;
+  Darwin*) darwin=true
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+    if [ -z "$JAVA_HOME" ]; then
+      if [ -x "/usr/libexec/java_home" ]; then
+        export JAVA_HOME="`/usr/libexec/java_home`"
+      else
+        export JAVA_HOME="/Library/Java/Home"
+      fi
+    fi
+    ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+      PRG="$link"
+    else
+      PRG="`dirname "$PRG"`/$link"
+    fi
+  done
+
+  saveddir=`pwd`
+
+  M2_HOME=`dirname "$PRG"`/..
+
+  # make it fully qualified
+  M2_HOME=`cd "$M2_HOME" && pwd`
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --unix "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  javaExecutable="`which javac`"
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+    # readlink(1) is not available as standard on Solaris 10.
+    readLink=`which readlink`
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+      if $darwin ; then
+        javaHome="`dirname \"$javaExecutable\"`"
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+      else
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
+      fi
+      javaHome="`dirname \"$javaExecutable\"`"
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+      JAVA_HOME="$javaHome"
+      export JAVA_HOME
+    fi
+  fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD="`which java`"
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly." >&2
+  echo "  We cannot execute $JAVACMD" >&2
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+  if [ -z "$1" ]
+  then
+    echo "Path not specified to find_maven_basedir"
+    return 1
+  fi
+
+  basedir="$1"
+  wdir="$1"
+  while [ "$wdir" != '/' ] ; do
+    if [ -d "$wdir"/.mvn ] ; then
+      basedir=$wdir
+      break
+    fi
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+    if [ -d "${wdir}" ]; then
+      wdir=`cd "$wdir/.."; pwd`
+    fi
+    # end of workaround
+  done
+  echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+  if [ -f "$1" ]; then
+    echo "$(tr -s '\n' ' ' < "$1")"
+  fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+  exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
+    fi
+else
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+    fi
+    if [ -n "$MVNW_REPOURL" ]; then
+      jarUrl="$MVNW_REPOURL/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    else
+      jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    fi
+    while IFS="=" read key value; do
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+      esac
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Downloading from: $jarUrl"
+    fi
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+    if $cygwin; then
+      wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
+    fi
+
+    if command -v wget > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found wget ... using wget"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            wget "$jarUrl" -O "$wrapperJarPath"
+        else
+            wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath"
+        fi
+    elif command -v curl > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found curl ... using curl"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            curl -o "$wrapperJarPath" "$jarUrl" -f
+        else
+            curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
+        fi
+
+    else
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Falling back to using Java to download"
+        fi
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+        # For Cygwin, switch paths to Windows format before running javac
+        if $cygwin; then
+          javaClass=`cygpath --path --windows "$javaClass"`
+        fi
+        if [ -e "$javaClass" ]; then
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Compiling MavenWrapperDownloader.java ..."
+                fi
+                # Compiling the Java class
+                ("$JAVA_HOME/bin/javac" "$javaClass")
+            fi
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                # Running the downloader
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Running MavenWrapperDownloader.java ..."
+                fi
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+            fi
+        fi
+    fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+  echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 182 - 0
ImageConnect/mvnw.cmd

@@ -0,0 +1,182 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements.  See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership.  The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License.  You may obtain a copy of the License at
+@REM
+@REM    https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied.  See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM     e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+
+FOR /F "tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Found %WRAPPER_JAR%
+    )
+) else (
+    if not "%MVNW_REPOURL%" == "" (
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    )
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
+        echo Downloading from: %DOWNLOAD_URL%
+    )
+
+    powershell -Command "&{"^
+		"$webclient = new-object System.Net.WebClient;"^
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
+		"}"^
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
+		"}"
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Finished downloading %WRAPPER_JAR%
+    )
+)
+@REM End of extension
+
+@REM Provide a "standardized" way to retrieve the CLI args that will
+@REM work with both Windows and non-Windows executions.
+set MAVEN_CMD_LINE_ARGS=%*
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%

+ 65 - 0
ImageConnect/pom.xml

@@ -0,0 +1,65 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+	<parent>
+		<groupId>org.springframework.boot</groupId>
+		<artifactId>spring-boot-starter-parent</artifactId>
+		<version>2.5.3</version>
+		<relativePath/> <!-- lookup parent from repository -->
+	</parent>
+	<groupId>com.icontrols</groupId>
+	<artifactId>ImageConnect</artifactId>
+	<version>0.0.1-SNAPSHOT</version>
+	<packaging>war</packaging>
+	<name>ImageConnect</name>
+	<description>Demo project for Spring Boot</description>
+	<properties>
+		<java.version>1.8</java.version>
+	</properties>
+	<dependencies>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-web</artifactId>
+		</dependency>
+		<dependency>
+			<groupId>org.codehaus.jackson</groupId>
+			<artifactId>jackson-mapper-asl</artifactId>
+			<version>1.9.13</version>
+		</dependency>
+		<dependency>
+			<groupId>org.json</groupId>
+			<artifactId>json</artifactId>
+			<version>20090211</version>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-tomcat</artifactId>
+			<scope>provided</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-test</artifactId>
+			<scope>test</scope>
+		</dependency>
+		<dependency>
+			<groupId>org.apache.httpcomponents</groupId>
+			<artifactId>httpclient</artifactId>
+			<version>4.5.6</version>
+		</dependency>
+		<dependency>
+    		<groupId>org.springframework.boot</groupId>
+    		<artifactId>spring-boot-starter-security</artifactId>
+		</dependency>
+	</dependencies>
+
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.springframework.boot</groupId>
+				<artifactId>spring-boot-maven-plugin</artifactId>
+			</plugin>
+		</plugins>
+	</build>
+
+</project>

+ 13 - 0
ImageConnect/src/main/java/com/icontrols/image/ImageConnectApplication.java

@@ -0,0 +1,13 @@
+package com.icontrols.image;
+
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+
+@SpringBootApplication
+public class ImageConnectApplication {
+
+	public static void main(String[] args) {
+		SpringApplication.run(ImageConnectApplication.class, args);
+	}
+
+}

+ 28 - 0
ImageConnect/src/main/java/com/icontrols/image/ImgController.java

@@ -0,0 +1,28 @@
+package com.icontrols.image;
+
+
+
+import javax.servlet.http.HttpServletRequest;
+import javax.servlet.http.HttpServletResponse;
+
+
+import org.json.JSONException;
+import org.springframework.http.HttpEntity;
+import org.springframework.http.HttpHeaders;
+import org.springframework.web.bind.annotation.RequestHeader;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestMethod;
+import org.springframework.web.bind.annotation.RestController;
+
+
+
+@RestController
+public class ImgController {
+	
+	// 홈넷 제어(node 제어, 대우건설 연동 API 홈넷파라메터Table 참조)
+	@RequestMapping(value = "/devices/*/nodes/*/commands", method = RequestMethod.POST, consumes = "application/json", produces="application/json")
+	public void FromDaewooNC(@RequestHeader HttpHeaders headers,
+			HttpEntity<String> httpEntity, HttpServletResponse response, HttpServletRequest request ) throws JSONException {
+
+	}
+}

+ 35 - 0
ImageConnect/src/main/java/com/icontrols/image/MsgIntercepter.java

@@ -0,0 +1,35 @@
+package com.icontrols.image;
+
+import java.util.Base64;
+
+import javax.servlet.http.HttpServletRequest;
+import javax.servlet.http.HttpServletResponse;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+import org.springframework.web.servlet.HandlerInterceptor;
+
+
+public class MsgIntercepter implements HandlerInterceptor{
+	private static final Logger logger = LoggerFactory.getLogger(HandlerInterceptor.class);
+	@Override
+	public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)
+			throws Exception {
+		// TODO Auto-generated method stub
+		String auth = request.getHeader("auth");
+		String fullURL = request.getRequestURL().toString();
+		String Temp[] = fullURL.split("/");
+		
+		if( fullURL.indexOf("images") >= 0 )
+		{
+			String inputString = "key" + Temp[Temp.length -1] + "key";
+			String encodedString = Base64.getEncoder().encodeToString(inputString.getBytes());
+			if(!encodedString.equals(auth) && !auth.equalsIgnoreCase("aaaaaaaaaaaaa"))
+				return false;
+			
+			logger.debug("==> preHandle: fullURL : " + fullURL);
+			logger.debug("==> preHandle auth :" + request.getHeader("auth") + " != encodedString : " + encodedString );
+		}
+		return true;
+	}
+}

+ 26 - 0
ImageConnect/src/main/java/com/icontrols/image/Security.java

@@ -0,0 +1,26 @@
+package com.icontrols.image;
+
+import org.springframework.security.config.annotation.web.builders.HttpSecurity;
+import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
+import org.springframework.stereotype.Component;
+
+@Component
+public class Security extends WebSecurityConfigurerAdapter{
+
+	@Override
+	protected void configure(HttpSecurity http) throws Exception {
+		// TODO Auto-generated method stub
+		//super.configure(http);
+		/*
+		http.authorizeRequests().antMatchers("/images/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')")
+		.antMatchers("/devices/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')")
+		.antMatchers("/aws/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')")
+		.antMatchers("/complex/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')")
+		.antMatchers("/error/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')");
+		*/
+//		http.authorizeRequests().antMatchers("/devices/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')")
+//		.antMatchers("/aws/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')")
+//		.antMatchers("/complex/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')")
+//		.antMatchers("/error/**").access("hasIpAddress('homeiot.prugio.com') or hasIpAddress('127.0.0.1') or hasIpAddress('112.175.10.105') or hasIpAddress('61.33.215.0/24')");
+	}
+}

+ 13 - 0
ImageConnect/src/main/java/com/icontrols/image/ServletInitializer.java

@@ -0,0 +1,13 @@
+package com.icontrols.image;
+
+import org.springframework.boot.builder.SpringApplicationBuilder;
+import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
+
+public class ServletInitializer extends SpringBootServletInitializer {
+
+	@Override
+	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
+		return application.sources(ImageConnectApplication.class);
+	}
+
+}

+ 61 - 0
ImageConnect/src/main/java/com/icontrols/image/WebController.java

@@ -0,0 +1,61 @@
+package com.icontrols.image;
+
+import org.springframework.context.annotation.Configuration;
+import org.springframework.web.servlet.config.annotation.CorsRegistry;
+import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
+import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
+import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
+
+@Configuration
+public class WebController implements WebMvcConfigurer{
+	@Override
+	public void addCorsMappings(CorsRegistry registry) {
+		// TODO Auto-generated method stub
+		registry.addMapping("/images/**").allowedMethods("GET").allowCredentials(false);
+		//WebMvcConfigurer.super.addCorsMappings(registry);
+	}
+
+	@Override
+	public void addResourceHandlers(ResourceHandlerRegistry registry) {
+		try
+		{
+			// 참고자료 https://jyc228.tistory.com/10
+
+			// TODO Auto-generated method stub
+			if( isWindows())
+			{
+				registry.addResourceHandler("images/**").addResourceLocations("file:/c:/resource/");
+			}
+			else 
+			{
+				registry.addResourceHandler("images/**").addResourceLocations("file:/srv/valley/data/vsftpd/uploads/");
+			}
+			//WebMvcConfigurer.super.addResourceHandlers(registry);
+		}catch( Exception e)
+		{
+			e.printStackTrace();
+		}
+	}
+
+
+	@Override
+	public void addInterceptors(InterceptorRegistry registry) {
+		// TODO Auto-generated method stub
+		MsgIntercepter loginIntercepter = new MsgIntercepter();
+        registry.addInterceptor(loginIntercepter)
+                .addPathPatterns()
+                .excludePathPatterns();
+		//WebMvcConfigurer.super.addInterceptors(registry);
+	}
+
+	public boolean isWindows()
+	{
+	    String OS = System.getProperty("os.name").toLowerCase();
+	    
+	    if( OS.indexOf("win") >= 0 )
+	    {
+	    	return true;
+	    }
+	    return false;
+	}
+}

+ 4 - 0
ImageConnect/src/main/resources/application.properties

@@ -0,0 +1,4 @@
+server.port = 9564
+#server.port = 9888
+#server.port = 9773
+logging.config=classpath:logback-spring.xml

+ 28 - 0
ImageConnect/src/main/resources/logback-spring.xml

@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<configuration>
+    <include resource="org/springframework/boot/logging/logback/base.xml"/>
+
+    <appender name="dailyRollingFileAppender"
+              class="ch.qos.logback.core.rolling.RollingFileAppender">
+        <append>true</append>
+        <prudent>true</prudent>
+
+        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
+            <fileNamePattern>log/Image_%d{yyyy-MM-dd}.log</fileNamePattern>
+            <maxHistory>30</maxHistory>
+        </rollingPolicy>
+        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
+            <level>DEBUG</level>
+        </filter>
+
+        <encoder>
+            <pattern>%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{35} - %msg%n</pattern>
+        </encoder>
+    </appender>
+
+    <logger name="com.icontrols.image" level="DEBUG"></logger>
+
+    <root level="INFO">
+        <appender-ref ref="dailyRollingFileAppender" />
+    </root>
+</configuration>

+ 13 - 0
ImageConnect/src/test/java/com/icontrols/image/ImageConnectApplicationTests.java

@@ -0,0 +1,13 @@
+package com.icontrols.image;
+
+import org.junit.jupiter.api.Test;
+import org.springframework.boot.test.context.SpringBootTest;
+
+@SpringBootTest
+class ImageConnectApplicationTests {
+
+	@Test
+	void contextLoads() {
+	}
+
+}